Subject: Re: [PATCH net-next v8 02/16] net: Implement netdev_nl_queue_create_doit

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 Mar 2026 18:10:41 -0800

On Thu, 5 Mar 2026 05:38:06 +0100 Daniel Borkmann wrote:
> >> +	rxq_lease = __netif_get_rx_queue(dev_lease, queue_id_lease);
> >> +	rxq = __netif_get_rx_queue(dev, dev->real_num_rx_queues - 1);
> >> +
> >> +	if (rxq->lease && rxq->lease->dev != dev_lease) {  
> > 
> > IIUC the simplification of having all leases from one devices is still
> > a netkit thing? I mean - there's nothing in the core that depends on
> > this, just the cleanup / notifier handling in netkit? If that's the
> > case let's move this check into netkit.
> > 
> > Sorry if you moved this here because I asked to move as much as
> > possible into the core.  
> Imho it was a good suggestion to move it here and I would prefer to leave
> this in the core, and only really move it into a per-driver constraint
> once we see a driver wanting to support such setting. Otherwise we would
> propagate AF_XDP support on the device where some queues have support but
> others don't.

Alright, let's add a comment explaining the status and plan then?